Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008085TestLinkSecurity - Generalpublic2017-09-21 19:542018-04-15 10:36
ReporterMr.Bricodage 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2018 Q1) 
Summary0008085: Add AUDIT log for TestCases and Execution Save/Deletion + Improve AUDIT info
Description
Currently, requirement deletion is logged in TestLink as AUDIT information, but execution deletion, new execution, testcases deletion are not logged.

To improve AUDIT exploitation, these information should be stored. For the same reason, AUDIT information should be improved by adding project ID for all AUDIT messages to know where was stored the testcase / requirement / execution before the deletion.
Additional InformationPR to follow
TagsNo tags attached.
Database (MySQL,Postgres,etc)Any
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0026861)
Mr.Bricodage (updater)
2017-09-21 19:56

https://github.com/TestLinkOpenSourceTRMS/testlink-code/pull/118 [^]
(0026863)
Mr.Bricodage (updater)
2017-09-21 20:19

PR merged, status should be set to resolved on TestLink 1.9.17
(0026874)
fman (administrator)
2017-09-23 07:33

user contribution
(0027371)
fman (administrator)
2018-04-15 10:36

released

- Issue History
Date Modified Username Field Change
2017-09-21 19:54 Mr.Bricodage New Issue
2017-09-21 19:56 Mr.Bricodage Note Added: 0026861
2017-09-21 20:19 Mr.Bricodage Note Added: 0026863
2017-09-23 07:33 fman QA Team - Task Workflow Status => READY FOR TESTING
2017-09-23 07:33 fman Note Added: 0026874
2017-09-23 07:33 fman Status new => resolved
2017-09-23 07:33 fman Fixed in Version => 1.9.17 (2018 Q1)
2017-09-23 07:33 fman Resolution open => fixed
2017-09-23 07:33 fman Assigned To => fman
2018-04-15 10:36 fman Note Added: 0027371
2018-04-15 10:36 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker